List of all members
clan::FileLogger Class Reference
clanCore Text

File logger. More...

`#include <file_logger.h>`

Inheritance diagram for clan::FileLogger:

## Public Member Functions
Construction
| FileLogger (const std::string &filename)
| Constructs a file logger. More...
| ~FileLogger ()
Operations
void | log (const std::string &type, const std::string &text) override
| Log text to file. More...
Public Member Functions inherited from clan::Logger
| Logger ()
| Constructs a logger. More...
virtual | ~Logger ()
void | enable ()
| Enable logger for logging. More...
void | disable ()
| Disable logging. More...

## Additional Inherited Members
Static Public Attributes inherited from clan::Logger
static std::vector< Logger * > | instances
| Pointers to currently enabled logger. More...
static std::recursive_mutex | mutex
| Logger mutex object. More...
Static Protected Member Functions inherited from clan::Logger
static StringFormat | get_log_string (const std::string &type, const std::string &text)

## Detailed Description

File logger.

The documentation for this class was generated from the following file:

- file_logger.h